---
title: TypedArray.prototype.join()
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/join
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - TypedArray
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <strong><code>join()</code></strong> method joins all elements of an array into a string. This method has the same algorithm as {{jsxref("Array.prototype.join()")}}. <em>TypedArray</em> is one of the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypedArray#TypedArray_objects">typed array types</a> here.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-join.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code><var>typedarray</var>.join(<code>[<var>separator</var> = ',']</code>);</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>separator</var></code> {{optional_inline}}</dt>
 <dd>Specifies a string to separate each element. The <code><var>separator</var></code> is converted to a string if necessary. If omitted, the typed array elements are separated with a comma (",").</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string with all array elements joined.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_join">Using join()</h3>

<pre class="brush: js notranslate">var uint8 = new Uint8Array([1,2,3]);
uint8.join();      // '1,2,3'
uint8.join(' / '); // '1 / 2 / 3'
uint8.join('');    // '123'
</pre>

<h2 id="Polyfill">Polyfill</h2>

<p>Since there is no global object with the name <em>TypedArray</em>, polyfilling must be done on an "as needed" basis.</p>

<pre class="brush: js notranslate">// https://tc39.github.io/ecma262/#sec-%typedarray%.prototype.join
if (!Uint8Array.prototype.join) {
  Object.defineProperty(Uint8Array.prototype, 'join', {
    value: Array.prototype.join
  });
}
</pre>

<p>If you need to support truly obsolete JavaScript engines that don't support {{jsxref("Object.defineProperty")}}, it's best not to polyfill <code>Array.prototype</code> methods at all, as you can't make them non-enumerable.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-%typedarray%.prototype.join', 'TypedArray.prototype.join')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.TypedArray.join")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("TypedArray")}}</li>
 <li>{{jsxref("Array.prototype.join()")}}</li>
</ul>
